package com.sr.smp.contract.dto.customer;

import lombok.Data;
import java.math.BigDecimal;

/*******************************************************
 * 客户费用比对详细结果 *
 * @author: 哥只是个传说
 * @time: 2023-11-18 11:10:59
 * *****************************************************/
@Data
public class CustomerFeeSetCompareDetailDto {
    /**
     * 费用（科目）编号
     */
    private Integer feeItemId;

    /**
     * 费用名称
     */
    private String feeItemName;

    /**
     * 包装类型 PackageType
     */
    private Integer packageType;

    /**
     * 包装类型 PackageType
     */
    private String packageTypeName;

    /**
     * 原起始重量
     */
    private BigDecimal originalBeginWeight;

    /**
     * 原始结束重量
     */
    private BigDecimal originalEndWeight;

    /**
     * 分区编号
     */
    private String partitionId;

    /**
     * 分区名称
     */
    private String partitionName;

    /**
     * 提供单价(客户价)
     */
    private BigDecimal offerPrice;

    /**
     * 结算价
     */
    private BigDecimal organizationOfferPrice;

    /**
     * 折扣标准(结算价对客户)
     */
    private BigDecimal discount;

    /**
     * 价格差异
     */
    private BigDecimal priceVariance;

    /**
     * 提示信息
     */
    private String message;
}
