//下拉列表框数据模型
export interface ListIitem {
    value: string | number;
    label: string;
    code?: string
}

// 分页类型
export interface PageParams {
    pageNum: number
    pageSize: number
    total: number
}
export interface ActionParams {
    orderBy: string
    sort: string
}

/**
 * 公式模型
 */
export interface CountModelDto {
    /**
     * 计算方式 CountType
     */
    countType: number;
    /**
     * 公式
     */
    formula: string;
    /**
     * 公式说明
     */
    formulaExplain: string;
}

// 激活参数
export interface ActiveParams {
    id: string
    activeFlag: boolean
}

export interface Idparams {
    id: number | string | undefined
}

// 返回的数据结构
export interface ResultInterface<T> {
    total: number;
    records: T[];
}