
//每行数据格式
export interface CustomerRateModel {
    id: number,
    currencyCode: string;
    currencyRate: number;
    startDate: string;
    endDate: string;
    createUserName: string;
    createTime: Date;

}

//查询参数
export interface CustomerRateQueryParam {
    titleName: string;
    currencyCode: string;
    pageNum: number;
    pageSize: number;
    total: number;
}

//表单提交的数据类型
export interface SubmitCustomerRateModel {
    id: number | string,
    currencyCode: string,
    currencyRate: number,
    startDate: string,
    endDate: string
    type: string; //区分新增 、 编辑
}

export interface CustomerRateParams {
    id: number | never
    startDate: string
    endDate: string
    titleName: string
    currencyCode: string
    currencyRate: number
    type: string
    rateVersionId: number
}

export interface VersionListParam {
    rateVersionId: number
}