import { CountModel } from './countModel'

//费用计算数明细据类型
export interface FeeItemComputeDetails {
    feeItemId:number,                        //费用（科目）编号
    packageType:number,                     //包装类型
    originalCalculateUnit:number,           //原计量单位
    originalBeginWeight:number,             //原起始重量
    originalEndWeight:number,               //原始结束重量
    countCalculateUnit:number,              //计费重量单位
    countBeginWeight:number,                //计费起始重量
    countEndWeight:number,                  //计费结束重量
    countModel:CountModel,                  //费用计算模式 
    offerPrice: number,                     //提供单价   
    // parentFeeItemSetIdList:number[],        //上级费用明细编号
    // countFormula:string,                    //上级费用计算公式
    // formulaExplain:string,                  //上级费用计算公式说明
    
}