import http from "@/http/http";

enum Api {
    judgeDeliver = "/api/UserMoneyDetail/judgeDeliver",
}

export interface JudgeDeliverParam {
    /**
     * 客户编号
     *
     * @mbg.generated
     */
    customerId?: number;

    /**
     * 币种
     *
     * @mbg.generated
     */
    currencyCode?: string;

    /**
     * 费用
     *
     * @mbg.generated
     */
    feeAmount?: number;
}


/**
 * 获取是否能收货
 * @param parms
 * @returns
 */
export const api_judgeDeliver = async (parms: JudgeDeliverParam) => {
    return await http.post(Api.judgeDeliver, parms);
};