import http from "@/http/http";
import { ResultInterface } from "../base/BaseDataModel";
import { BranchProfitDetailDto, BranchProfitDetailParam } from './branchModle';
enum Api{
    branchProfitDetailReportList = '/api/branchProfitDetailReport/list',   
    branchProfitdownload ='/api/branchProfitDetailReport/branchProfitdownload'
}

/**
 * 公司利润明细查询
 * @param parms 
 * @returns 
 */
export const api_branchProfitDetailReportList = async (parms: BranchProfitDetailParam) =>{   
    return await http.post<ResultInterface<BranchProfitDetailDto>>(Api.branchProfitDetailReportList,parms)
}

/**
 * 公司利润明细导出
 * @param parms 
 * @returns 
 */
export const api_branchProfitdownload = async (parms: BranchProfitDetailParam) => {
    return await http.download(Api.branchProfitdownload, parms)
}