import { reactive } from 'vue';
import { BaseTableProps } from "@/components/Table/src/types";
// TODO 处理：应收账单-表格数据
/**
 * 应收账单
 */
export function useReceivableBillTable() {
    // 报表汇率-table列表数据
    const receivableBillTableList: BaseTableProps = reactive({
        border: true,
        columns: [
            {
                prop: "month",
                label: "月份",
                align: "left",
            },
            {
                prop: "companyName",
                label: "客户简称",
                align: "left",
            },
            {
                prop: "sealUserName",
                label: "业务员",
                align: "left",
            },
            {
                prop: "billingCycle",
                label: "账期",
                align: "left",
            },
            {
                prop: "sealCompanyName",
                label: "所属主体",
                align: "left",
            },
            {
                prop: "qty",
                label: "票数",
                // showOverflowTooltip: true,
                align: "left",
            },
            {
                prop: "fee",
                label: "金额",
                align: "left",
            },
        ],
        dataSource: [],//数据
    });

    return {
        receivableBillTableList
    }
}