import { SubmitFeeItemModel } from "@/api/feeItem/FeeItemModle";
import { reactive } from "vue";

export default function useBaseModel() {

    //表单验证
    const rules = reactive({
        itemName: [
            {
                required: true,
                message: '请填写名称',
                trigger: 'change'
            }
        ],
        englishName: [
            {
                required: true,
                message: '请填写英文名称',
                trigger: 'change'
            }
        ]
    });
    //表单数据
    const dialogModel = reactive<SubmitFeeItemModel>({
        id: '',
        itemName: '',
        feeItemSpecialFlag: 0,
        itemType:0,
        feeItemSpecialFlagName: '',
        paramterFlag: 0,
        englishName: '',
        type: "0"
    })

    return {
        rules,
        dialogModel
    }
}