import { BaseActiveFlag } from "./BaseActiveFlag";

/**
 * 费用设置操作
 */
export enum BaseFeesetAction {
    /**
     * 删除
     */
    DELETE = 0,
    /**
     * 编辑
     */
    EDIT = 1,
    /**
     * 新增版本
     */
    VERSION = 2,
    /**
     * 费用设置
     */
    FEESET_SETING = 3,
    /**
     * 费用导入
     */
    FEESET_IMPORT = 4,
    /**
     * 费用导出
     */
    FEESET_EXPORT = 5,
    /**
     * 是否激活
     */
    FEESET_ACTIVE = BaseActiveFlag.FEESET_ACTIVE,
    /**
     * 明细
     */
    DETAIL = 7,
    /**
     * 平账
     */
    BALANCED = 8,
    /**
     * 拷贝
     */
    COPY = 9,
    /**
     * 查看
     */
    VIEW = 10,
    /**
     * 添加
     */
    ADD = 11,
    /**
     * 设置接管
     */
    PERSONNEL = 12,
    /**
     * 重算设置
     */
    RECALCULATE = 13,
    /**
     * 加载结算价
     */
    LOAD_SETTLEMENT_PRICE = 14,
    /**
     * 终止生效
     */
    TERMINATION_TAKES_EFFECT = 15,
    /**
     * 按比例拷贝
     */
    COPY_PROPORTION = 16,
    /**
     * 加载公布价
     */
    LOAD_ANNOUNCED_PRICE = 17,
    /**
     * 加载建议价
     */
    LOAD_SUGGESTED_PRICE = 18,
}

/**
 * 后端type的值
 */
export enum BaseFieldType {
    /**
     * 0 新增
     */
    ADD = 0,
    /**
     * 1 编辑
     */
    EDIT = 1,
    /**
     * 2 版本新增
     */
    ADDVERSION = 2,
    /**
     * 3 重算新增
     */
    ADDRECALCULATE = 3,
}