import { BaseActiveFlag } from "./BaseActiveFlag";

/**
 * 提单操作类型-
 */
export enum BaseLadingActions {
    /**
     * 6：停用与激活
     */
    FEESET_ACTIVE = BaseActiveFlag.FEESET_ACTIVE,
    /**
     * 提单类型
     */
    BILL_EDIT = 1,
    /**
     * 提单删除
     */
    DELETE_BILL_LADING = 2,
    /**
     * 费用编辑
     */
    EXPENSE_EDITOR = 3,
    /**
     * 费用试算
     */
    COST_TRIAL_CALCULATION = 4,
    /**
     * 费用明细
     */
    FEESET_DETAILS = 5,
    /**
     * 毛利明细
     */
    GROSS_PROFIT_DETAIL = 7,
    /**
     * 毛利汇总
     */
    GROSS_PROFIT_SUMMARY = 8,
    /**
     * 账单预览
     */
    BILL_PREVIEW = 9
}

/**
 * 批量操作类型
 */
export enum BaseLadingSearchActions {
    /**
     * 导入
     */
    IMPORT = 0,
    /**
     * 状态更新
     */
    STATUS_UPDATE = 1,
}

/**
 * 提单费用设置中tab栏
 */
export enum LadingBillMoneySetTabs {
    /**
     * 应收tab
     */
    RECEIVABLE = "receivable",
    /**
     * 应付tab
     */
    PAYABLE = "payable"
}

/**
 * 提单费用列表-结算类型显示
 */
export enum FeeSetTypeListType {
    /**
     * 结算价
     */
    SETTLEMENT = 0,
    /**
     * 客户价
     */
    CUSTOMER = 1,
    /**
     * 应付
     */
    PAYABLE = 4
}