import http from "@/http/http";
import { NoticeDto } from "./newsInfoModel";

enum Api {
    apiSalesmanUserList = '/api/apiData/apiSalesmanUserList',//业务人员
    apiCustomerList = '/api/apiData/apiCustomerList',//客户
    notice = '/api/customerFeeSet/notice',//客户费用修改通知
}

/**
 * 客户费用修改通知
 */
export const api_EditNotice = async (parms: NoticeDto) => {
    return await http.post(Api.notice, parms)
}

/**
 * 业务人员
 */
export const api_GetSalesmanUserList = async () => {
    return await http.get(Api.apiSalesmanUserList)
}

/**
 * 客户
 */
export const api_GetCustomerList = async () => {
    return await http.get(Api.apiCustomerList)
}
