/**
 * 账单汇率-API
 */
import http from "@/http/http";
import { ReceivableBillParam } from "./receivableBillModle";
enum Api {
    receivableBillApi = '/api/receivableBill/pageBillOrderSealSumList',
    downloadBillOrderSealSumApi = '/api/receivableBill/downloadBillOrderSealSum',
    allCustomerIdsListApi = '/api/apiData/apiAllCustomerIdsList',
}

//查询列表
export const getReceivableBillApi = async (parms: ReceivableBillParam) => {
    return await http.post(Api.receivableBillApi, parms)
}

// 汇总导出
export const getDownloadReceivableBillOrderSealSumApi = async (parms: Recordable) => {
    return await http.download(Api.downloadBillOrderSealSumApi, parms)
}

// 客户列表
export const getAllCustomerIdsList = async () => {
    return await http.get(Api.allCustomerIdsListApi);
}

