import { reactive } from 'vue';
import { BaseTableProps } from "@/components/Table/src/types"

// TODO 汇率版本-表格数据
export default function useAddEditBillRateTable() {
    // 动态表格表单
    const addEditBillRateTable: BaseTableProps = reactive({
        border: true,
        maxHeight: 300,
        columns: [
            {
                prop: "currencyCode",
                label: "币种",
                align: "center",
                slot: true,
                slotName: 'currencyCode'
            },
            {
                prop: "currencyRate",
                label: "汇率",
                align: "center",
                slot: true,
                slotName: 'currencyRate'
            },
            {
                prop: "action",
                label: "操作",
                align: "center",
                width: 80,
                slot: true,
                slotName: 'action',
                slotHeader: true
            },
        ],
        dataSource: []
    })

    return {
        addEditBillRateTable
    }
}