
/**
 * 财务应付操作
 */
export enum BaseFinancialBillDetailListActions {
    /**
     * 编辑
     */
    EDIT = 0,
    /**
     * 删除
     */
    DELETE = 1,
    /**
     * 预设参考
     */
    PREINSTALL = 2
}

/**
 * 财务应付账单
 */
export enum BaseFinancialFinancialBillList {
    /**
     * 账单明细
     */
    BILL_DETAILS = 0,
    /**
     * 删除账单
     */
    BILL_DELETE = 1,
    /**
     * 账单分摊
     */
    BILL_ALLOCATION = 2,
    /**
     * 账单关账
     */
    BILL_CORRELATION = 3,
    /**
     * 账单编辑
     */
    BILL_EDIT = 4,
    /**
     * 账单核账
     */
    BILL_AUDIT_ACCOUNTS = 5
}

/**
 * 账单核账
 */
export enum BaseFinancialFinancialVerifyList {
    /**
     * 账单调账
     */
    BILL_ADJUST_ACCOUNTS = 0,
    /**
     * 费用明细
     */
    BILL_DETAILS = 1,
    /**
     * 账单重算
     */
    BILL_RERUN = 2
}