/**
 * 分区操作
 */
export enum BaseZoningAction {
    /**
     * 分区设置
     */
    ZONING_SETING = 0,
    /**
     * 分区查看
     */
    ZONING_VIEW = 1,
    /**
     * 分区模板
     */
    ZONING_TEMPLATE = 2,
    /**
     * 模板加载
     */
    ZONING_TEMPLATE_LOAD = 3,
    /**
     * 分区特殊参数
     */
    ZONING_SPECIAL_PARAMETER = 4
}

/**
 * 分区类型
 */
export enum BaseZoning {
    /**
     * 口岸分区
     */
    ZONING_PORT = "port",
    /**
     * 邮编分区
     */
    ZONING_POSTAL_CODE = "postalcode",
    /**
     * 国家/地区分区
     */
    ZONING_COUNTRY = "country"
}